#ifndef PROTO_INTOIDS_H
#define PROTO_INTOIDS_H 1

/******************************************************************************
 * $Header: Big:Programming/C/Intoids/Library/RCS/Intoids_master.h,v 1.1 1997/01/12 10:33:25 AGMS Exp $
 *
 * Include this file <proto/Intoids.h> in your application program if
 * you want to use Intoids.library.  It will include the various
 * headers and add glue for calling the library functions.  You still
 * have to OpenLibrary and CloseLibrary and put the library pointer
 * into the IntoidsBase global variable.
 *
 * Look in Intoids.c for documentation (autodocs generated from there), e-mail
 * addresses and credits.  See Libraries/Intoids.h for datatypes.
 *
 * Intoids.library - An Amiga runtime shared code library for efficiently
 * handling large and small integer values using pointer sized data fields.
 *
 * Modifications for storing smaller integers in 32 bit values and conversion
 * to an Amiga library copyright  1996 by Alexander G. M. Smith.
 * Original long integer code copyright  1988 Free Software Foundation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifdef __GNUC__
  #include <clib/Intoids_protos.h>
  #if defined(__OPTIMIZE__) && !defined(__NOINLINES__)
  #include <inline/Intoids.h>
  #endif
  #ifndef __NOLIBBASE__
  extern struct Library *IntoidsBase;
  #endif
#else /* SAS C and other standard Amiga C's */
  #include <clib/Intoids_protos.h>
  extern struct Library *IntoidsBase;
  #include <pragmas/Intoids_pragmas.h>
#endif

#endif /* PROTO_INTOIDS_H */
